VFS_VGET(9)

NAME
VFS_VGET - convert an inode number to a vnode

SYNOPSIS
#include <sys/param.h>
#include <sys/mount.h>
#include <sys/vnode.h>
int
VFS_VGET(struct mount *mp, ino_t ino, int flags, struct vnode **vpp);

DESCRIPTION
The VFS_VGET() looks up or creates a vnode from a (mount, inode#) tuple.

Its arguments are:

mp  The mount point.

ino The inode representing the file. This is a unique number assigned by the file system when vnodes are first created.

flags
    Additional locking flags to pass through to vget(9).

vpp Return parameter for the vnode.

This is an optional file system entry-point for file systems mainly intended for NFS server use, but many file systems use it internally in VOP_LOOKUP(9) and similar.

If the file system does not support this call, then it should return EOPNOTSUPP.

Please see ffs_vget() in sys/ufs/ffs/ffs_vfsops.c for the canonical example.

SEE ALSO
VFS(9), vget(9), vnode(9)

AUTHORS
This manual page was written by Doug Rabson.